Relay docs
API ReferenceStores

Update a store

Updates a store's details. Only the provided fields are changed. Requires the `contacts:write` scope.

PATCH
/v1/public/stores/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Workspace API key, e.g. rl_live_….

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
website?string|null
industry?string|null
notes?string|null
externalId?string|null

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/public/stores/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "website": "string",  "industry": "string",  "notes": "string",  "externalId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string"}